VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::cis::tagging::TagModel Class Reference

The `TagModel` class defines a tag that can be attached to vSphere objects. More...

List of all members.

## Public Member Functions
| TagModel ()
| Creates a default new instance.
string | GetId ()
| The unique identifier of the tag.
void | SetId (string id)
| The unique identifier of the tag.
string | GetCategoryId ()
| The identifier of the parent category in which this tag will be created.
void | SetCategoryId (string categoryId)
| The identifier of the parent category in which this tag will be created.
string | GetName ()
| The display name of the tag.
void | SetName (string name)
| The display name of the tag.
string | GetDescription ()
| The description of the tag.
void | SetDescription (string description)
| The description of the tag.
global::System.Collections.Generic.HashSet < string > | GetUsedBy ()
| The set of users that can use this tag.
void | SetUsedBy (global::System.Collections.Generic.HashSet< string > usedBy)
| The set of users that can use this tag.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `TagModel` class defines a tag that can be attached to vSphere objects.

## Constructor & Destructor Documentation

vmware::cis::tagging::TagModel::TagModel | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::cis::tagging::TagModel::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::cis::tagging::TagModel::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::cis::tagging::TagModel::_GetType | ( |  | ) | `[inline]`

bool vmware::cis::tagging::TagModel::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::cis::tagging::TagModel::_Validate | ( |  | ) | `[inline]`

override bool vmware::cis::tagging::TagModel::Equals | ( | object | obj | ) | `[inline]`

string vmware::cis::tagging::TagModel::GetCategoryId | ( |  | ) | `[inline]`

The identifier of the parent category in which this tag will be created.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.cis.tagging.Category` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.cis.tagging.Category` .

string vmware::cis::tagging::TagModel::GetDescription | ( |  | ) | `[inline]`

The description of the tag.

override int vmware::cis::tagging::TagModel::GetHashCode | ( |  | ) | `[inline]`

string vmware::cis::tagging::TagModel::GetId | ( |  | ) | `[inline]`

The unique identifier of the tag.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .

string vmware::cis::tagging::TagModel::GetName | ( |  | ) | `[inline]`

The display name of the tag.

global::System.Collections.Generic.HashSet<string> vmware::cis::tagging::TagModel::GetUsedBy | ( |  | ) | `[inline]`

The set of users that can use this tag.

To add users to this, you need to have the edit privilege on the tag. Similarly, to unsubscribe from this tag, you need the edit privilege on the tag. You should not modify other users subscription from this set.

void vmware::cis::tagging::TagModel::SetCategoryId | ( | string | categoryId | ) | `[inline]`

The identifier of the parent category in which this tag will be created.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.cis.tagging.Category` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.cis.tagging.Category` .

void vmware::cis::tagging::TagModel::SetDescription | ( | string | description | ) | `[inline]`

The description of the tag.

void vmware::cis::tagging::TagModel::SetId | ( | string | id | ) | `[inline]`

The unique identifier of the tag.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .

void vmware::cis::tagging::TagModel::SetName | ( | string | name | ) | `[inline]`

The display name of the tag.

void vmware::cis::tagging::TagModel::SetUsedBy | ( | global::System.Collections.Generic.HashSet< string > | usedBy | ) | `[inline]`

The set of users that can use this tag.

To add users to this, you need to have the edit privilege on the tag. Similarly, to unsubscribe from this tag, you need the edit privilege on the tag. You should not modify other users subscription from this set.

override string vmware::cis::tagging::TagModel::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- TagModel.cs